/* The timer routines have been put into separate file because they
   aren't portable, and cannot be checked by the Splint. */

#include <stdio.h>
#include <unistd.h>
#include <asm/io.h>
#include "typedefs.h"
#include "timers.h"

/* This function waits x * 0.838 us, x must be in range (0,32767). */
/*
void ctc_delay (uint x)
{
  printf (".");
  //usleep (x);			// let's try 1us instead of 0.838
  usleep (1);
}
*/

void ctc_delay (uint x) {
int i;
	for (i = 0; i < 1000; i++);
}


/* This function waits x * 55 ms. */
void timer_delay (uint x)
{
  printf (".");

  usleep (x * 55 * 1000);	// usleep () takes argument in microseconds,
  				// thus 55ms = 55000us
}


/* send a byte to the printer data port */
void DataOut (uint x)
{
  outb ((uchar) x, PORT_BASE);
}


/* read the Busy signal from the printer status port */
int BusyIn (void)
{
  return (((uint) inb (PORT_BASE+1) & 0x80) == 0);
}
